services:
    _defaults:
        autowire: false
        autoconfigure: false
        public: true
        tags: [claroline.validator]

    Claroline\CommunityBundle\Validator\GroupValidator: ~

    Claroline\CommunityBundle\Validator\RoleValidator: ~

    Claroline\CommunityBundle\Validator\UserValidator:
        arguments:
            - '@security.authorization_checker'
            - '@security.token_storage'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\CoreBundle\Library\Configuration\PlatformConfigurationHandler'
            - '@Claroline\CoreBundle\Manager\UserManager'
            - '@Claroline\CoreBundle\Manager\Workspace\WorkspaceManager'
            - '@Claroline\CoreBundle\Manager\Organization\OrganizationManager'
            - '@Claroline\CoreBundle\Manager\FacetManager'
            - '@Claroline\CommunityBundle\Serializer\ProfileSerializer'
